Search workspace
curl --request GET \
--url https://{workspace}.klef.ai/api/search \
--cookie klef.session=import requests
url = "https://{workspace}.klef.ai/api/search"
headers = {"cookie": "klef.session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'klef.session='}};
fetch('https://{workspace}.klef.ai/api/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{workspace}.klef.ai/api/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "klef.session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{workspace}.klef.ai/api/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "klef.session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{workspace}.klef.ai/api/search")
.header("cookie", "klef.session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{workspace}.klef.ai/api/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'klef.session='
response = http.request(request)
puts response.read_body{
"result": {
"workers": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"status": "unspecified",
"lifecycleStage": "pre_start"
}
],
"connections": [
{
"id": "<string>",
"name": "<string>",
"externalSystem": "<string>"
}
],
"members": [
{
"userId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"policies": [
{
"id": "<string>",
"name": "<string>"
}
],
"audit": [
{
"id": "<string>",
"targetType": "workspace",
"targetLabel": "<string>",
"actorName": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
],
"resources": [
{
"kind": "script",
"id": "<string>",
"name": "<string>"
}
],
"segments": [
{
"id": "<string>",
"name": "<string>"
}
],
"plans": [
{
"id": "<string>",
"number": 123,
"status": "generating",
"requestedAt": "2023-11-07T05:31:56Z",
"generatedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"policies": [
"<string>"
]
}
]
},
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}Search
Search workspace
GET
/
search
Search workspace
curl --request GET \
--url https://{workspace}.klef.ai/api/search \
--cookie klef.session=import requests
url = "https://{workspace}.klef.ai/api/search"
headers = {"cookie": "klef.session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'klef.session='}};
fetch('https://{workspace}.klef.ai/api/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{workspace}.klef.ai/api/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "klef.session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{workspace}.klef.ai/api/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "klef.session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{workspace}.klef.ai/api/search")
.header("cookie", "klef.session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{workspace}.klef.ai/api/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'klef.session='
response = http.request(request)
puts response.read_body{
"result": {
"workers": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"status": "unspecified",
"lifecycleStage": "pre_start"
}
],
"connections": [
{
"id": "<string>",
"name": "<string>",
"externalSystem": "<string>"
}
],
"members": [
{
"userId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"policies": [
{
"id": "<string>",
"name": "<string>"
}
],
"audit": [
{
"id": "<string>",
"targetType": "workspace",
"targetLabel": "<string>",
"actorName": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
],
"resources": [
{
"kind": "script",
"id": "<string>",
"name": "<string>"
}
],
"segments": [
{
"id": "<string>",
"name": "<string>"
}
],
"plans": [
{
"id": "<string>",
"number": 123,
"status": "generating",
"requestedAt": "2023-11-07T05:31:56Z",
"generatedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"policies": [
"<string>"
]
}
]
},
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"code": "details_unavailable",
"params": {},
"causes": [
{
"code": "details_unavailable",
"params": {},
"causes": "<array>"
}
],
"target": "<string>"
}
]
}Authorizations
cookieAuthapiKeyAuth
Query Parameters
Was this page helpful?